/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: last 4 version
*/

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  transition: all 0.3s ease-in-out;
}

body {
  width: 100%;
  min-height: 100vh;
  margin: auto;
  background-color: #f9f5f2;
  overflow-x: hidden;
}

.main-container {
  width: 100vw;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

.todo {
  width: 100%;
  max-width: 600px;
  margin-top: 4rem;
  padding: 1rem;
}

.todo__header {
  width: 100%;
  background-color: white;
  padding: 2rem 2.4rem;
  border-radius: 5px;
  display: flex;
  align-items: center;
  margin-top: 4.8rem;
  margin-bottom: 2.4rem;
  border: 1px solid #e3e4f1;
}

.input-wrapper {
  border: 3px solid #282825;
  box-shadow: 3px 3px #282825;
  border-radius: 0.375rem;
}

.card {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

input.textEdit {
  font-size: 1.2rem;
  line-height: 2rem;
  outline: none;
  border: none;
  width: 100%;
  height: 100%;
  color: #9ca3af;
  font-weight: 500;
  background: transparent;
  letter-spacing: 1px;
  text-transform: capitalize;
}

h2 {
  font-size: 2.5rem;
  letter-spacing: 2px;
}

h3 {
  font-weight: 500;
}

.note {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-top: 1px solid #e3e4f1;
  border-left: 1px solid #e3e4f1;
  border-right: 1px solid #e3e4f1;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.25);
  height: 60px;
  border-radius: 5px;
  overflow: hidden;
  padding: 0.6rem 1rem;
}

.headline {
  margin-bottom: 2rem;
  margin-top: 0.5rem;
}

.addBtn {
  padding: 14px;
  height: 45px;
  box-shadow: 2px 2px #282825;
  border-radius: 0.375rem;
  font-weight: 600;
  color: #000000;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.todo-items {
  margin: 2rem 0;
}

.notesList {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 5px;
  background-color: white;
  padding: 0.6rem 1rem;
  border: 3px solid #282825;
  box-shadow: 2px 2px #282825;
  border-radius: 0.375rem;
}

p {
  color: #494c6b;
  word-break: break-word;
  text-transform: capitalize;
  font-weight: 500;
}

button.dltBtn {
  padding: 0px 20px;
  height: 40px;
  box-shadow: 2px 2px #282825;
  border-radius: 0.375rem;
  font-weight: 600;
  letter-spacing: 0.5px;
  color: #000000;
  cursor: pointer;
}
